awe.sm Administration API

Retrieving All Projects

Returns a list of all projects associated with the specified subscription_key.

POSTapi.awe.sm/projects/list

HTTPS is supported on this endpoint. The GET method is also supported, but not preferred.

Required Parameters

Parameter Type Description
subscription_key string The key of the subscription that owns the projects being retrieved. Found in subscription settings.
application_key string The key of the application authorized to perform administrative actions on the subscription. Found in application settings.

Example

POST https://api.awe.sm/projects/list?subscription_key=sub-xXXxXxxX&application_key=nZurcZ

{
    "request": {
        "application_key": "nZurcZ",
        "method": "list",
        "object": "project",
        "subscription_key": "sub-xXXxXxxX"
    },
    "response": {
        "projects": [
            {
                "admins": [
                    {
                        "default_project": "demo",
                        "email": "jeremiah@example.com",
                        "name": "Jeremiah Lee",
                        "sharer_id": "9496x4x0-20xx-012x-58xx-123139064x82",
                        "username": "jeremiah"
                    }
                ],
                "api_key": "x3x202x0151xxxx207x3xx99xxx3x6xx8x2x1d2xxxx5xx72899986xxxx1080x6",
                "created_at": "2010-04-02 23:15:59",
                "default_domain": "demo.awe.sm",
                "domains": [
                    "demo.awe.sm"
                ],
                "conversions": {
                    "enabled": false,
                    "domains": "all",
                    "goal_1_label": null,
                    "goal_2_label": null,
                    "goal_3_label": null,
                    "goal_4_label": null,
                    "goal_5_label": null
                },
                "name": "demo",
                "sharers": [
                    {
                        "default_project": "bunyan_logging",
                        "email": "paul@example.com",
                        "name": "Paul Bunyan",
                        "sharer_id": "8x58x4x0-39x5-012x-8109-123139064x82",
                        "username": "pbunyan"
                    }
                ],
                "updated_at": "2011-07-21 18:28:16",
                "viewers": [
                    {
                        "default_project": "appleseeds_blog",
                        "email": "jonny@example.com",
                        "name": "Jonny Appleseed",
                        "sharer_id": "9x69x9x0-42x1-420x-9876-123139064x99",
                        "username": "jonny"
                    }
                ]
            }
        ]
    }
}

Last updated 2012-01-09